--- old/usr/src/cmd/svc/milestone/net-svc	2013-05-27 09:45:18.917132774 +0000
+++ new/usr/src/cmd/svc/milestone/net-svc	2013-05-27 09:45:18.933061691 +0000
@@ -137,7 +137,7 @@
 		/usr/bin/touch /etc/resolv.conf
 	fi
 	export dnsservers dnsdomain
-	/usr/bin/nawk </etc/resolv.conf >/tmp/resolv.conf.$$ '
+	/usr/xpg4/bin/awk </etc/resolv.conf >/tmp/resolv.conf.$$ '
 		function writedomain() {
 			if (updated == 0) {
 			    	# Use only first domain, not a search list
@@ -219,7 +219,7 @@
 #
 cleanup_hosts ()
 {
-	/usr/bin/nawk '{
+	/usr/xpg4/bin/awk '{
 		if (index($0, "# Added by DHCP") == 0 ||
 		    $1 == "127.0.0.1" || $1 == "::1") {
 			print $0
--- old/usr/src/cmd/svc/shell/net_include.sh	2013-05-27 09:45:19.279781249 +0000
+++ new/usr/src/cmd/svc/shell/net_include.sh	2013-05-27 09:45:19.298149101 +0000
@@ -719,7 +719,7 @@
 	(
 		# Find datalinks using VLAN 1 explicitly
 		# configured by dladm
-		/usr/bin/nawk '
+		/usr/xpg4/bin/awk '
 			/^#/ || NF < 2 { next }
 			{ linkdata[$1]=$2; }
 			/;vid=int,1;/ {
@@ -730,7 +730,7 @@
 				sub(/;.*/, "", link);
 				print link;
 			}' $datalink
-	) | ( /usr/bin/sort -u; echo END; cat $datalink ) | /usr/bin/nawk '
+	) | ( /usr/bin/sort -u; echo END; cat $datalink ) | /usr/xpg4/bin/awk '
 	    /^END$/ { state=1; }
 	    state == 0 { usingpvid[++nusingpvid]=$1; next; }
 	    /^#/ || NF < 2 { next; }
--- old/usr/src/cmd/svc/shell/routing_include.sh	2013-05-27 09:45:19.710822138 +0000
+++ new/usr/src/cmd/svc/shell/routing_include.sh	2013-05-27 09:45:19.719206957 +0000
@@ -169,7 +169,7 @@
 	pos=$OPTIND
 	for prop in $4
 	do
-		val=`/usr/bin/echo $2 | /usr/bin/nawk -v POS=$pos \
+		val=`/usr/bin/echo $2 | /usr/xpg4/bin/awk -v POS=$pos \
 		    '{ print $POS }'`
 		if [ -z "$val" ]; then
 			val="$5"
@@ -188,8 +188,8 @@
 get_daemon_args()
 {
 	args=`/usr/sbin/svccfg -s $1 listprop routeadm/daemon-args | \
-	    /usr/bin/nawk '{ for (i = 3; i <= NF; i++) printf "%s ", $i }' | \
-	    /usr/bin/nawk '{sub(/^\"/, ""); sub(/\"[ \t]*$/,""); print}'`
+	    /usr/xpg4/bin/awk '{ for (i = 3; i <= NF; i++) printf "%s ", $i }' | \
+	    /usr/xpg4/bin/awk '{sub(/^\"/, ""); sub(/\"[ \t]*$/,""); print}'`
 	echo "$args"
 }
 
@@ -210,7 +210,7 @@
 
 get_routeadm_property()
 {
-	propval=`/sbin/routeadm -l $1 | /usr/bin/nawk -v PROP=$2 \
+	propval=`/sbin/routeadm -l $1 | /usr/xpg4/bin/awk -v PROP=$2 \
 	    '($1 == PROP) { for (i = 3; i < NF; i++) printf $i" "; \
 	    if (NF >= 3) {printf $NF}}'`
 	echo "$propval"
@@ -255,10 +255,10 @@
 {
 	# get property values, removing trailing delimiter.
 	propvals=`get_routeadm_property $1 $2 | \
-	    /usr/bin/nawk '{sub(/;[ \t]*$/, ""); print }'`
+	    /usr/xpg4/bin/awk '{sub(/;[ \t]*$/, ""); print }'`
 	# Substitute switch for internal delimiters.
 	fixed_propvals=`/usr/bin/echo $propvals | \
-	    /usr/bin/nawk -v SWITCH=" -${3} " \
+	    /usr/xpg4/bin/awk -v SWITCH=" -${3} " \
 	    '{sub(/;/, SWITCH); print }'`
 	if [ -n "$fixed_propvals" ]; then
 		echo "-${3} $fixed_propvals"
--- old/usr/src/cmd/svr4pkg/pkgscripts/i.CompCpio.sh	2013-05-27 09:45:20.095203338 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/i.CompCpio.sh	2013-05-27 09:45:20.106576321 +0000
@@ -98,7 +98,7 @@
 Rm=usr/bin/rm
 Ln=usr/bin/ln
 Mv=usr/bin/mv
-Nawk=usr/bin/nawk
+Awk=usr/xpg4/bin/awk
 Zcat=usr/bin/zcat
 
 # Set up the default paths
@@ -110,8 +110,8 @@
 ZCAT_cmd=$ZCAT_xpath/zcat
 LN_xpath=/usr/bin
 LN_cmd=$LN_xpath/ln
-NAWK_xpath=/usr/bin
-NAWK_cmd=$NAWK_xpath/nawk
+AWK_xpath=/usr/xpg4/bin/
+AWK_cmd=$AWK_xpath/awk
 RM_xpath=/usr/bin
 RM_cmd=$RM_xpath/rm
 Tmp_xpath=/usr/tmp$$dir
@@ -119,7 +119,7 @@
 rm_cpio=0
 rm_ln=0
 rm_zcat=0
-rm_nawk=0
+rm_awk=0
 rm_rm=0
 rm_mv=0
 no_select=0
@@ -158,7 +158,7 @@
 			$Cpio)		rm_cpio=1; Spcl_exec=1;;
 			$Ln)		rm_ln=1; Spcl_exec=1;;
 			$Zcat)		rm_zcat=1; Spcl_exec=1;;
-			$Nawk)		rm_nawk=1; Spcl_exec=1;;
+			$Awk)		rm_awk=1; Spcl_exec=1;;
 			$Rm)		rm_rm=1; Spcl_exec=1;;
 			$Mv)		rm_mv=1; Spcl_exec=1;;
 		esac
@@ -207,11 +207,11 @@
 				LN_cmd="$Tmp_xpath/ln"
 				Movelist="$1 ln $Movelist"
 				rm_ln=0
-			elif [ $rm_nawk -eq 1 ]; then
-				$LN_cmd -s ../..$Tmp_xpath/nawk $1
-				NAWK_cmd="$Tmp_xpath/nawk"
-				Movelist="$1 nawk $Movelist"
-				rm_nawk=0
+			elif [ $rm_awk -eq 1 ]; then
+				$LN_cmd -s ../..$Tmp_xpath/awk $1
+				AWK_cmd="$Tmp_xpath/awk"
+				Movelist="$1 awk $Movelist"
+				rm_awk=0
 			elif [ $rm_zcat -eq 1 ]; then
 				$LN_cmd -s ../..$Tmp_xpath/zcat $1
 				ZCAT_cmd="$Tmp_xpath/zcat"
@@ -240,7 +240,7 @@
 #
 exec_clean() {	# $1 =1 means be quiet
 	if [ ! -z "${Movelist}" ]; then
-		echo $Movelist | $NAWK_cmd '
+		echo $Movelist | $AWK_cmd '
 			{ split ($0, line)
 			for (n=1; n <= NF; n++) {
 				print line[n]
@@ -264,7 +264,7 @@
 					$Cpio)	CPIO_cmd="$CPIO_xpath/cpio";;
 					$Ln)	LN_cmd="$LN_xpath/ln";;
 					$Zcat)	ZCAT_cmd="$ZCAT_xpath/zcat";;
-					$Nawk)	NAWK_cmd="$NAWK_xpath/nawk";;
+					$Awk)	AWK_cmd="$AWK_xpath/awk";;
 					$Rm)	RM_cmd="$RM_xpath/rm";;
 					$Mv)	MV_cmd="$MV_xpath/mv";;
 				esac
@@ -418,7 +418,7 @@
 			# If there's a path containing a '$' then we can't
 			# use the extraction list because of the shell
 			if [ $list_empty -eq 0 ]; then
-				s=`LD_PRELOAD="$Ld_Preload" $NAWK_cmd ' /\\$/ { print } ' $FILELIST`
+				s=`LD_PRELOAD="$Ld_Preload" $AWK_cmd ' /\\$/ { print } ' $FILELIST`
 
 				if [ ! -z "${s}" ]; then
 					is_a_filelist=0
@@ -449,7 +449,7 @@
 			# If there's a path containing a '$' then we can't
 			# use the extraction list because of the shell
 			if [ $list_empty -eq 0 ]; then
-				s=`LD_PRELOAD="$Ld_Preload" $NAWK_cmd ' /\\$/ { print } ' $FILELIST`
+				s=`LD_PRELOAD="$Ld_Preload" $AWK_cmd ' /\\$/ { print } ' $FILELIST`
 
 				if [ ! -z "${s}" ]; then
 					is_a_filelist=0
--- old/usr/src/cmd/svr4pkg/pkgscripts/i.awk.sh	2013-05-27 09:45:20.469729088 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/i.awk.sh	2013-05-27 09:45:20.478410639 +0000
@@ -37,7 +37,7 @@
 
 	if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 		client_dest=`echo $dest | \
-			/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+			/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				{ print substr($0, length(rootdir)+1)} }'`
 		savepath=$PKGSAV/awk${client_dest}
 	else
--- old/usr/src/cmd/svr4pkg/pkgscripts/i.build.sh	2013-05-27 09:45:20.813028981 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/i.build.sh	2013-05-27 09:45:20.824228922 +0000
@@ -37,7 +37,7 @@
 
 	if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 		client_dest=`echo $dest | \
-			/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+			/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				{ print substr($0, length(rootdir)+1)} }'`
 		savepath=$PKGSAV/build${client_dest}
 	else
--- old/usr/src/cmd/svr4pkg/pkgscripts/i.sed.sh	2013-05-27 09:45:21.133530549 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/i.sed.sh	2013-05-27 09:45:21.147315524 +0000
@@ -37,7 +37,7 @@
 
 	if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 		client_dest=`echo $dest | \
-			/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+			/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				{ print substr($0, length(rootdir)+1)} }'`
 		savepath=$PKGSAV/sed${client_dest}
 	else
--- old/usr/src/cmd/svr4pkg/pkgscripts/r.awk.sh	2013-05-27 09:45:21.488685938 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/r.awk.sh	2013-05-27 09:45:21.501490969 +0000
@@ -41,7 +41,7 @@
 
 		if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 			client_dest=`echo $dest | \
-				/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+				/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				    { print substr($0, length(rootdir)+1)} }'`
 			savepath=$PKGSAV/awk${client_dest}
 		else
--- old/usr/src/cmd/svr4pkg/pkgscripts/r.build.sh	2013-05-27 09:45:21.827998214 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/r.build.sh	2013-05-27 09:45:21.836932860 +0000
@@ -41,7 +41,7 @@
 
 		if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 			client_dest=`echo $dest | \
-				/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+				/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				    { print substr($0, length(rootdir)+1)} }'`
 			savepath=$PKGSAV/build${client_dest}
 		else
--- old/usr/src/cmd/svr4pkg/pkgscripts/r.sed.sh	2013-05-27 09:45:22.146566911 +0000
+++ new/usr/src/cmd/svr4pkg/pkgscripts/r.sed.sh	2013-05-27 09:45:22.156067226 +0000
@@ -41,7 +41,7 @@
 
 		if [ -n "$PKG_INSTALL_ROOT" -a "$PKG_INSTALL_ROOT" != "/" ]; then
 			client_dest=`echo $dest | \
-				/usr/bin/nawk -v rootdir="$PKG_INSTALL_ROOT" '{
+				/usr/xpg4/bin/awk -v rootdir="$PKG_INSTALL_ROOT" '{
 				    { print substr($0, length(rootdir)+1)} }'`
 			savepath=$PKGSAV/sed${client_dest}
 		else
--- old/usr/src/cmd/tsol/demo/runwlabel.ksh	2013-05-27 09:45:22.443018239 +0000
+++ new/usr/src/cmd/tsol/demo/runwlabel.ksh	2013-05-27 09:45:22.452864356 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 #
 # Usage:
 # runwlabel "my-label" my-program
@@ -39,7 +37,7 @@
 progname="$2"
 
 # Find the zone name that is associated with this zone path
-for zone in `zoneadm list -pi | nawk -F: -v zonepath=${zonepath} '{
+for zone in `zoneadm list -pi | /usr/xpg4/bin/awk -F: -v zonepath=${zonepath} '{
 	if ("$4" == "${zonepath}") {
 		print $2
 	}
--- old/usr/src/cmd/tsol/zones/zoneshare.sh	2013-05-27 09:45:22.759692775 +0000
+++ new/usr/src/cmd/tsol/zones/zoneshare.sh	2013-05-27 09:45:22.772151235 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # zoneshare  -- share zone resources
 
 # Processes a non-global zone's dfstab file after translating
@@ -76,6 +74,6 @@
 do
 	echo $line
 done < $infile |
-	`egrep -v "(^[#])" | nawk  -v rootpath=$rootpath \
+	`egrep -v "(^[#])" | /usr/xpg4/bin/awk -v rootpath=$rootpath \
 	    '/share/ { ORS = " "; for (i = 1; i < NF; i++) print $i ; \
 	     print rootpath $NF ";" } ' | /sbin/sh`
--- old/usr/src/cmd/tsol/zones/zoneunshare.sh	2013-05-27 09:45:23.187332936 +0000
+++ new/usr/src/cmd/tsol/zones/zoneunshare.sh	2013-05-27 09:45:23.197592830 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # zoneunshare  -- unshare zone resources
 
 # Processes the specified sharetab file and unshare
@@ -74,4 +72,4 @@
 do
 	echo $line
 done < $infile |
-	`egrep "^$rootpath"|nawk '{ print "/usr/sbin/unshare " $1 ";" }'|/sbin/sh`
+	`egrep "^$rootpath"|/usr/xpg4/bin/awk '{ print "/usr/sbin/unshare " $1 ";" }'|/sbin/sh`
--- old/usr/src/cmd/ypcmd/multi.awk.sh	2013-05-27 09:45:23.575150220 +0000
+++ new/usr/src/cmd/ypcmd/multi.awk.sh	2013-05-27 09:45:23.588299086 +0000
@@ -1,4 +1,4 @@
-#!/usr/bin/nawk -f
+#!/usr/xpg4/bin/awk -f
 #
 # CDDL HEADER START
 #
@@ -21,8 +21,6 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1996, by Sun Microsystems, Inc.
 # All rights reserved.
 #
--- old/usr/src/cmd/ypcmd/net_files/Makefile	2013-05-27 09:45:23.983618959 +0000
+++ new/usr/src/cmd/ypcmd/net_files/Makefile	2013-05-27 09:45:23.993803650 +0000
@@ -94,11 +94,11 @@
 
 passwd.time: $(PWDIR)/passwd $(PWDIR)/shadow
 	-@if [ -f $(PWDIR)/security/passwd.adjunct ]; then \
-		(nawk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ { $$2 = "##" $$1; printf "%s\t%s\n", $$1, $$0 }' $(PWDIR)/passwd $(CHKPIPE)) | $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byname; \
-		(nawk 'BEGIN { FS=":"; OFS=":"  } /^[a-zA-Z0-9_]/ { $$2 = "##" $$1; printf "%-10d\t%s\n", $$3, $$0 }' $(PWDIR)/passwd $(CHKPIPE)) | $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byuid; \
+		(/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ { $$2 = "##" $$1; printf "%s\t%s\n", $$1, $$0 }' $(PWDIR)/passwd $(CHKPIPE)) | $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byname; \
+		(/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":"  } /^[a-zA-Z0-9_]/ { $$2 = "##" $$1; printf "%-10d\t%s\n", $$3, $$0 }' $(PWDIR)/passwd $(CHKPIPE)) | $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byuid; \
 	elif [ -f $(PWDIR)/shadow ]; then \
-		(nawk 'BEGIN { FS=":"; OFS=":"; while ( getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; printf "%s\t%s\n",$$1,$$0 }' $(PWDIR)/passwd $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byname; \
-		(nawk 'BEGIN { FS=":"; OFS=":"; while ( getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; printf "%-10d\t%s\n",$$3,$$0 }' $(PWDIR)/passwd $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byuid; \
+		(/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":"; while ( getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; printf "%s\t%s\n",$$1,$$0 }' $(PWDIR)/passwd $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byname; \
+		(/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":"; while ( getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; printf "%-10d\t%s\n",$$3,$$0 }' $(PWDIR)/passwd $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byuid; \
 	else \
 		(awk 'BEGIN { FS=":"; OFS="\t"; } /^[a-zA-Z0-9_]/ { print $$1, $$0 }' $(PWDIR)/passwd  $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byname; \
 		(awk 'BEGIN { FS=":"; OFS="\t"; } /^[a-zA-Z0-9_]/ { printf("%-10d ", $$3); print $$0 }' $(PWDIR)/passwd $(CHKPIPE))| $(MAKEDBM) - $(YPDBDIR)/$(DOM)/passwd.byuid; \
@@ -289,7 +289,7 @@
 
 passwd.adjunct.time: $(PWDIR)/security/passwd.adjunct $(PWDIR)/shadow
 	-@if [ -f $(PWDIR)/shadow ]; then \
-		(nawk 'BEGIN { FS=":"; while (getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; OFS=":"; printf "%s\t%s\n", $$1, $$0 }' $(PWDIR)/security/passwd.adjunct $(CHKPIPE)) | $(MAKEDBM) -s - $(YPDBDIR)/$(DOM)/passwd.adjunct.byname; \
+		(/usr/xpg4/bin/awk 'BEGIN { FS=":"; while (getline < "$(PWDIR)/shadow" > 0) shadow[$$1] = $$2; } /^[a-zA-Z0-9_]/ { $$2 = shadow[$$1]; OFS=":"; printf "%s\t%s\n", $$1, $$0 }' $(PWDIR)/security/passwd.adjunct $(CHKPIPE)) | $(MAKEDBM) -s - $(YPDBDIR)/$(DOM)/passwd.adjunct.byname; \
 	else \
 		(awk 'BEGIN { FS=":"; OFS="\t"; } /^[a-zA-Z0-9_]/ { print $$1, $$0 }' $(PWDIR)/security/passwd.adjunct $(CHKPIPE)) | \
 		$(MAKEDBM) -s - $(YPDBDIR)/$(DOM)/passwd.adjunct.byname; \
@@ -366,7 +366,7 @@
 		sed -e "/^#/d" -e s/#.*$$// $(RBACDIR)/auth_attr \
 		|sed -e '/\\$$/{:l' -e 'N;s/\\\n//;t h' -e ':h' \
 		-e 's/\\$$/\\/;t l' -e } \
-		| (nawk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
+		| (/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
 		{printf "%s:%s\n", $$1, $$0 }' $(CHKPIPE)) \
 		| $(MAKEDBM) -S ":" -E - $(YPDBDIR)/$(DOM)/auth_attr; \
 		touch auth.attr.time; \
@@ -386,7 +386,7 @@
 		sed -e "/^#/d" -e s/#.*$$// $(RBACDIR)/exec_attr \
 		|sed -e '/\\$$/{:l' -e 'N;s/\\\n//;t h' -e ':h' \
 		-e 's/\\$$/\\/;t l' -e } \
-		| (nawk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
+		| (/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
 		{printf "%s:%s:%s:%s\n", $$1, $$2, $$6, $$0 }' $(CHKPIPE)) \
 		| $(MAKEDBM) -S ":" -E -D 2 - $(YPDBDIR)/$(DOM)/exec_attr; \
 		touch exec.attr.time; \
@@ -406,7 +406,7 @@
 		sed -e "/^#/d" -e s/#.*$$// $(RBACDIR)/prof_attr \
 		|sed -e '/\\$$/{:l' -e 'N;s/\\\n//;t h' -e ':h' \
 		-e 's/\\$$/\\/;t l' -e } \
-		| (nawk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
+		| (/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
 		{printf "%s:%s\n", $$1, $$0 }' $(CHKPIPE)) \
 		| $(MAKEDBM) -S ":" -E - $(YPDBDIR)/$(DOM)/prof_attr; \
 		touch prof.attr.time; \
@@ -426,7 +426,7 @@
 		sed -e "/^#/d" -e s/#.*$$// $(DIR)/user_attr \
 		|sed -e '/\\$$/{:l' -e 'N;s/\\\n//;t h' -e ':h' \
 		-e 's/\\$$/\\/;t l' -e } \
-		| (nawk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
+		| (/usr/xpg4/bin/awk 'BEGIN { FS=":"; OFS=":" } /^[a-zA-Z0-9_]/ \
 		{printf "%s:%s\n", $$1, $$0 }' $(CHKPIPE)) \
 		| $(MAKEDBM) -S ":" -E - $(YPDBDIR)/$(DOM)/user_attr; \
 		touch user.attr.time; \
--- old/usr/src/cmd/ypcmd/ypstart.sh	2013-05-27 09:45:24.426904975 +0000
+++ new/usr/src/cmd/ypcmd/ypstart.sh	2013-05-27 09:45:24.439924797 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Enable appropriate NIS daemons based on the current configuration.
 
 enable () {
@@ -66,7 +64,7 @@
 		passwdfile=/var/yp/$domain/passwd.byname
 	fi
 	master=`/usr/sbin/makedbm -u $passwdfile | grep YP_MASTER_NAME \
-	    | nawk '{ print tolower($2) }'`
+	    | /usr/xpg4/bin/awk '{ print tolower($2) }'`
 fi
 
 # Enabling the YP client is not strictly necessary, but it is
--- old/usr/src/cmd/zic/do_pofile.sh	2013-05-27 09:45:24.835463369 +0000
+++ new/usr/src/cmd/zic/do_pofile.sh	2013-05-27 09:45:24.849878991 +0000
@@ -3,12 +3,11 @@
 # Copyright (c) 2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 #
 # Create messages file for zone_sun.tab, country.tab, continent.tab
 #
-AWK=/usr/bin/nawk
+AWK=/usr/xpg4/bin/awk
 ECHO=/usr/bin/echo
 
 ZONE_SUN_FILE=zone_sun.tab
--- old/usr/src/cmd/zic/tzselect.ksh	2013-05-27 09:45:25.212906719 +0000
+++ new/usr/src/cmd/zic/tzselect.ksh	2013-05-27 09:45:25.230713455 +0000
@@ -38,7 +38,7 @@
 #	mawk
 #	</a>
 
-AWK=/usr/bin/nawk
+AWK=/usr/xpg4/bin/awk
 GREP=/usr/bin/grep
 EXPR=/usr/bin/expr
 LOCALE=/usr/bin/locale
--- old/usr/src/cmd/zoneadm/svc-zones	2013-05-27 09:45:25.588467329 +0000
+++ new/usr/src/cmd/zoneadm/svc-zones	2013-05-27 09:45:25.597788802 +0000
@@ -30,7 +30,7 @@
 #
 shutdown_zones()
 {
-	zoneadm list -p | nawk -F: '{
+	zoneadm list -p | /usr/xpg4/bin/awk -F: '{
 		if ($2 != "global") {
 			print $2
 		}
@@ -57,7 +57,7 @@
 	# set and invoke the sysboot hook for all other installed zones.
 	#
 	ZONES=""
-	for zone in `zoneadm list -pi | nawk -F: '{
+	for zone in `zoneadm list -pi | /usr/xpg4/bin/awk -F: '{
 			if ($3 == "installed") {
 				print $2
 			}
--- old/usr/src/head/Makefile	2013-05-27 09:45:26.354111397 +0000
+++ new/usr/src/head/Makefile	2013-05-27 09:45:26.373546479 +0000
@@ -467,8 +467,8 @@
 
 mdiox.h:	../uts/common/sys/lvm/mdiox.x
 	$(RPCGEN) $(RPCGENFLAGS) ../uts/common/sys/lvm/mdiox.x | \
-	nawk '{sub(/sys\/lvm\/md_mhdx/, "mhdx"); print $$0}' | \
-	nawk '{sub(/sys\/lvm\/md_basic/, "meta_basic"); print $$0}' | \
+	/usr/xpg4/bin/awk '{sub(/sys\/lvm\/md_mhdx/, "mhdx"); print $$0}' | \
+	/usr/xpg4/bin/awk '{sub(/sys\/lvm\/md_basic/, "meta_basic"); print $$0}' | \
 	awk '/<synch.h>/ { print "#ifdef _REENTRANT"; print $$0; print "#endif\t/* _REENTRANT */"; next } \
 	/<thread.h>/ { print "#ifdef _REENTRANT"; print $$0; print "#endif\t/* _REENTRANT */"; next } \
 	{ print $0 } \
@@ -476,7 +476,7 @@
 
 metamed.h:	../uts/common/sys/lvm/metamed.x
 	$(RPCGEN) $(RPCGENFLAGS) ../uts/common/sys/lvm/metamed.x | \
-	nawk '{sub(/sys\/lvm\/md_basic/, "meta_basic"); print $$0}' | \
+	/usr/xpg4/bin/awk '{sub(/sys\/lvm\/md_basic/, "meta_basic"); print $$0}' | \
 	awk '/<synch.h>/ { print "#ifdef _REENTRANT"; print $$0; print "#endif\t/* _REENTRANT */"; next } \
 	/<thread.h>/ { print "#ifdef _REENTRANT"; print $$0; print "#endif\t/* _REENTRANT */"; next } \
 	{ print $0 } \
--- old/usr/src/lib/Makefile.lib	2013-05-27 09:45:26.763885646 +0000
+++ new/usr/src/lib/Makefile.lib	2013-05-27 09:45:26.779424084 +0000
@@ -30,7 +30,7 @@
 
 LORDER=		lorder
 TSORT=		tsort
-AWK=		awk
+AWK=		/usr/xpg4/bin/awk
 
 #
 # By default, we define the source directory for libraries to be
--- old/usr/src/lib/brand/shared/zone/common.ksh	2013-05-27 09:45:27.133460539 +0000
+++ new/usr/src/lib/brand/shared/zone/common.ksh	2013-05-27 09:45:27.143979461 +0000
@@ -249,7 +249,7 @@
 #
 get_fs_info()
 {
-	zonecfg -z $zonename info fs | nawk '{
+	zonecfg -z $zonename info fs | /usr/xpg4/bin/awk '{
 		if ($1 == "options:") {
 			# Remove brackets.
 			options=substr($2, 2, length($2) - 2);
@@ -274,7 +274,7 @@
 	fi
 
 	# Sort the fs entries so we can handle nested mounts.
-	sort $fstmpfile | nawk -v zonepath=$zonepath '{
+	sort $fstmpfile | /usr/xpg4/bin/awk -v zonepath=$zonepath '{
 		if (NF == 4)
 			options="-o " $4;
 		else
@@ -304,7 +304,7 @@
 	fi
 
 	# Reverse sort the fs entries so we can handle nested unmounts.
-	sort -r $fstmpfile | nawk -v zonepath=$zonepath '{
+	sort -r $fstmpfile | /usr/xpg4/bin/awk -v zonepath=$zonepath '{
 		cmd="/usr/sbin/umount " zonepath "/root" $1
 		if (system(cmd) != 0) {
 			printf("command failed: %s\n", cmd);
@@ -315,7 +315,7 @@
 # Find the dataset mounted on the zonepath.
 get_zonepath_ds() {
 	ZONEPATH_DS=`/usr/sbin/zfs list -H -t filesystem -o name,mountpoint | \
-	    /usr/bin/nawk -v zonepath=$1 '{
+	    /usr/xpg4/bin/awk -v zonepath=$1 '{
 		if ($2 == zonepath)
 			print $1
 	}'`
@@ -569,7 +569,7 @@
 
 	vlog "$m_analyse_archive"
 
-	base=`$stage1 $archive | $stage2 2>/dev/null | nawk -F/ '{
+	base=`$stage1 $archive | $stage2 2>/dev/null | /usr/xpg4/bin/awk -F/ '{
 		# Check for an absolute path archive
 		if (substr($0, 1, 1) == "/")
 			exit 1
--- old/usr/src/lib/brand/shared/zone/uninstall.ksh	2013-05-27 09:45:27.607123821 +0000
+++ new/usr/src/lib/brand/shared/zone/uninstall.ksh	2013-05-27 09:45:27.621872216 +0000
@@ -249,7 +249,7 @@
 uninstall_get_zonepath_ds()
 {
 	ZONEPATH_DS=`/sbin/zfs list -t filesystem -o name,mountpoint | \
-	    /bin/nawk -v zonepath=$zonepath '{
+	    /usr/xpg4/bin/awk -v zonepath=$zonepath '{
 		if ($2 == zonepath)
 			print $1
 	}'`
--- old/usr/src/lib/brand/solaris10/zone/common.ksh	2013-05-27 09:45:28.050116721 +0000
+++ new/usr/src/lib/brand/solaris10/zone/common.ksh	2013-05-27 09:45:28.060345539 +0000
@@ -106,7 +106,7 @@
 	#
 	image_vers="unknown"
 	if [[ -f $dir/var/sadm/system/admin/INST_RELEASE ]]; then
-		image_vers=$(nawk -F= '{if ($1 == "VERSION") print $2}' \
+		image_vers=$(/usr/xpg4/bin/awk -F= '{if ($1 == "VERSION") print $2}' \
 		    $dir/var/sadm/system/admin/INST_RELEASE)
 	fi
 
@@ -139,7 +139,7 @@
 	found=0
 	for i in $dir/var/sadm/pkg/SUNWcakr*/pkginfo
 	do
-		patches=$(nawk -F= '{if ($1 == "PATCHLIST") print $2}' $i)
+		patches=$(/usr/xpg4/bin/awk -F= '{if ($1 == "PATCHLIST") print $2}' $i)
 		for patch in $patches
 		do
 			if [[ $patch == $req_patch ]]; then
@@ -313,7 +313,7 @@
 {
         typeset ZONENAME="$1"
 
-	ZONEUUID=`zoneadm -z $ZONENAME list -p | nawk -F: '{print $5}'`
+	ZONEUUID=`zoneadm -z $ZONENAME list -p | /usr/xpg4/bin/awk -F: '{print $5}'`
 	[[ $? -ne 0 || -z $ZONEUUID ]] && return 1
 
 	INSTANCE_UUID="urn:st:${ZONEUUID}"
--- old/usr/src/lib/brand/solaris10/zone/p2v.ksh	2013-05-27 09:45:28.433662468 +0000
+++ new/usr/src/lib/brand/solaris10/zone/p2v.ksh	2013-05-27 09:45:28.443974789 +0000
@@ -101,7 +101,7 @@
 		return
 	fi
 
-	NETIF=$(echo $NET | /usr/bin/nawk '{
+	NETIF=$(echo $NET | /usr/xpg4/bin/awk '{
 		for (i = 1; i < NF; i++) {
 			if ($i == "physical:") {
 				if (length(net) == 0) {
@@ -150,7 +150,7 @@
 		return
 	fi
 
-	/usr/bin/nawk '{
+	/usr/xpg4/bin/awk '{
 		if (substr($1, 0, 1) == "#") {
 			print $0
 		} else {
@@ -198,7 +198,7 @@
 		return
 	fi
 
-	/usr/bin/nawk '{
+	/usr/xpg4/bin/awk '{
 		if (substr($1, 0, 1) == "#") {
 			print $0
 		} else if ($1 == "fd" || $1 == "/proc" || $1 == "swap" ||
@@ -261,7 +261,7 @@
 		/usr/bin/egrep -s "SUNW_PKG_HOLLOW=true" \
 		    $ZONEROOT/var/sadm/pkg/$pkg/pkginfo || continue
 
-		for j in $(/usr/bin/nawk '{if ($2 == "f" &&
+		for j in $(/usr/xpg4/bin/awk '{if ($2 == "f" &&
 		    substr($4, 1, 17) == "var/svc/manifest/") print $4}' \
 		    $ZONEROOT/var/sadm/pkg/$pkg/save/pspool/$pkg/pkgmap)
 		do
@@ -326,7 +326,7 @@
 
 	# Get a list of the svcs that now exist in the zone.
 	LANG=C /usr/sbin/zlogin -S $ZONENAME /usr/bin/svcs -aH | \
-	    /usr/bin/nawk '{print $3}' >>$insttmpfile
+	    /usr/xpg4/bin/awk '{print $3}' >>$insttmpfile
 
 	[[ -n $LOGFILE ]] && \
 	    printf "[$(date)] ${MSG_PREFIX}${v_svcsinzone}\n" >&2
@@ -456,7 +456,7 @@
 		return
 	fi
 
-	NGZ=$(/usr/bin/nawk -F: '{
+	NGZ=$(/usr/xpg4/bin/awk -F: '{
 		if (substr($1, 0, 1) == "#" || $1 == "global")
 			continue
 
@@ -469,7 +469,7 @@
 
 	log "$v_rmzones" "$NGZ"
 
-	NGZP=$(/usr/bin/nawk -F: '{
+	NGZP=$(/usr/xpg4/bin/awk -F: '{
 		if (substr($1, 0, 1) == "#" || $1 == "global")
 			continue
 
@@ -582,7 +582,7 @@
 #
 
 STACK_TYPE=$(/usr/sbin/zoneadm -z $ZONENAME list -p | \
-    /usr/bin/nawk -F: '{print $7}')
+    /usr/xpg4/bin/awk -F: '{print $7}')
 if (( $? != 0 )); then
 	error "$e_badinfo" "stacktype"
 fi
@@ -625,7 +625,7 @@
 	grep 'SUNW_PKG_HOLLOW=true' $pkg_name/pkginfo >/dev/null 2>&1 && \
 	    basename $pkg_name >>$hollow_pkgs
 done
-/usr/bin/nawk -v hollowpkgs=$hollow_pkgs -v filelist=$hollow_file_list \
+/usr/xpg4/bin/awk -v hollowpkgs=$hollow_pkgs -v filelist=$hollow_file_list \
     -v dirlist=$hollow_dir_list '
 	BEGIN {
 		while (getline p <hollowpkgs > 0)
--- old/usr/src/lib/libbsm/mkhdr.sh	2013-05-27 09:45:28.843851842 +0000
+++ new/usr/src/lib/libbsm/mkhdr.sh	2013-05-27 09:45:28.857001936 +0000
@@ -76,7 +76,7 @@
 
 EOF
 
-nawk -F: '{if ((NF == 4) && substr($1,0,1) != "#")
+/usr/xpg4/bin/awk -F: '{if ((NF == 4) && substr($1,0,1) != "#")
 		if ($1 >= 2048) {
 			tlen = length($2);
 
--- old/usr/src/lib/libdtrace/common/mknames.sh	2013-05-27 09:45:29.236738277 +0000
+++ new/usr/src/lib/libdtrace/common/mknames.sh	2013-05-27 09:45:29.245854804 +0000
@@ -24,7 +24,6 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 echo "\
 /*\n\
@@ -32,8 +31,6 @@
  * Use is subject to license terms.\n\
  */\n\
 \n\
-#pragma ident\t\"%Z%%M%\t%I%\t%E% SMI\"\n\
-\n\
 #include <dtrace.h>\n\
 \n\
 /*ARGSUSED*/
@@ -42,7 +39,7 @@
 {\n\
 	switch (subr) {"
 
-nawk '
+/usr/xpg4/bin/awk '
 /^#define[ 	]*DIF_SUBR_/ && $2 != "DIF_SUBR_MAX" {
 	printf("\tcase %s: return (\"%s\");\n", $2, tolower(substr($2, 10)));
 }'
--- old/usr/src/lib/libsecdb/common/i.rbac	2013-05-27 09:45:29.646011677 +0000
+++ new/usr/src/lib/libsecdb/common/i.rbac	2013-05-27 09:45:29.658809844 +0000
@@ -49,7 +49,7 @@
 cp_cmd=cp
 egrep_cmd=egrep
 mv_cmd=mv
-nawk_cmd=nawk
+awk_cmd=/usr/xpg4/bin/awk
 rm_cmd=rm
 sed_cmd=sed
 sort_cmd=sort
@@ -59,7 +59,7 @@
 # $3 is the "new (to be merged)" file
 # $4 is the output file
 # returns 0 on success
-# returns 2 on failure if nawk fails with non-zero exit status
+# returns 2 on failure if awk fails with non-zero exit status
 #
 dbmerge() {
 #
@@ -153,21 +153,21 @@
  	    -e '/\\$/{N;s/\\\n//;}'  -e '/\\$/{N;s/\\\n//;}' \
  	    $3 > $4.new
 #
-# The nawk script below processes the old and new files using up to
+# The awk script below processes the old and new files using up to
 # three passes.  If the old file is empty, only the final pass over
 # the new file is required.
 #
 	if [ -s $4.old ]; then
-		nawk_pass1=$4.old
-		nawk_pass2=$4.new
-		nawk_pass3=$4.new
+		awk_pass1=$4.old
+		awk_pass2=$4.new
+		awk_pass3=$4.new
 	else
-		nawk_pass1=
-		nawk_pass2=
-		nawk_pass3=$4.new
+		awk_pass1=
+		awk_pass2=
+		awk_pass3=$4.new
 	fi
 #
-#!/usr/bin/nawk -f
+#!/usr/xpg4/bin/awk -f
 #
 #       dbmerge type=[auth|prof|user|exec] [ old-file new-file ] new-file
 #
@@ -198,7 +198,7 @@
 #	which will appear first in the output.
 #
 #
-	$nawk_cmd  '
+	$awk_cmd  '
 
 # This script may be invoked with up to three file names.  Each file
 # name corresponds to a separate processing pass.  The passes are
@@ -234,7 +234,7 @@
 	FS=":"
 }
 
-# When FNR (current file record number) is 1 it indicates that nawk
+# When FNR (current file record number) is 1 it indicates that awk
 # is starting to read the next file specified on its command line,
 # and is beginning the next processing pass.
 FNR == 1 {
@@ -242,15 +242,15 @@
 }
 
 /^#/ || /^$/ {
-	continue;
+	next;
 }
 
 {
-	# For each input line, nawk automatically assigns the complete
+	# For each input line, awk automatically assigns the complete
 	# line to $0 and also splits the line at field separators and
 	# assigns each field to a variable $1..$n.  Assignment to $0
 	# re-splits the line into the field variables.  Conversely,
-	# assgnment to a variable $1..$n will cause $0 to be recomputed
+	# assignment to a variable $1..$n will cause $0 to be recomputed
 	# from the field variable values.
 	#
 	# This code adds awareness of escaped field separators by using
@@ -420,7 +420,7 @@
 	return keyword "=" unsplit(list, cnt, ",");
 }
 
-# This function is similar to the nawk built-in split() function,
+# This function is similar to the awk built-in split() function,
 # except that a "\" character may be used to escape any subsequent
 # character, so that the escaped character will not be treated as a
 # field separator or as part of a field separator regular expression.
@@ -471,7 +471,7 @@
 		str = str delim list[i];
 	return str;
 }' \
-	type=$1 $nawk_pass1 $nawk_pass2 $nawk_pass3 > $4.unsorted
+	type=$1 $awk_pass1 $awk_pass2 $awk_pass3 > $4.unsorted
 	rc=$?
 	$sort_cmd < $4.unsorted >> $4
 	return $rc
--- old/usr/src/lib/libshell/common/tests/quoting.sh	2013-05-27 09:45:30.064908807 +0000
+++ new/usr/src/lib/libshell/common/tests/quoting.sh	2013-05-27 09:45:30.073068467 +0000
@@ -329,7 +329,7 @@
 } 2> /dev/null || err_exit 'skipping over `` failed'
 [[ $x == x ]] || err_exit 'assignment ${x:=`...`} failed'
 [[ $($SHELL -c 'print a[') == 'a[' ]] || err_exit "unbalanced '[' in command arg fails"
-$SHELL -c $'false && (( `wc -l /dev/null | nawk \'{print $1}\'` > 2 )) && true;:' 2> /dev/null ||  err_exit 'syntax error with ` in arithmetic expression'
+$SHELL -c $'false && (( `wc -l /dev/null | /usr/xpg4/bin/awk \'{print $1}\'` > 2 )) && true;:' 2> /dev/null ||  err_exit 'syntax error with ` in arithmetic expression'
 { $SHELL  -c '((  1`: "{ }"` ))' ;} 2> /dev/null || err_exit 'problem with ` inside (())'
 varname=foobarx
 x=`print '"\$'${varname}'"'`
--- old/usr/src/lib/libshell/common/tests/sun_solaris_builtin_sum.sh	2013-05-27 09:45:30.413636316 +0000
+++ new/usr/src/lib/libshell/common/tests/sun_solaris_builtin_sum.sh	2013-05-27 09:45:30.428521399 +0000
@@ -93,7 +93,7 @@
 [[ "$(cat "$x" | /usr/bin/sum)" == "$(cat "$x" | sum)" ]]	|| err_exit "pipe: /usr/bin/sum $x != sum $x"
 [[ "$(/usr/bin/sum "$x")" == "$(sum "$x")" ]]			|| err_exit "file: /usr/bin/sum $x != sum $x"
 
-x="/usr/bin/nawk"
+x="/usr/xpg4/bin/awk"
 [[ "$(cat "$x" | /usr/bin/sum)" == "$(cat "$x" | sum)" ]]	|| err_exit "pipe: /usr/bin/sum $x != sum $x"
 [[ "$(/usr/bin/sum "$x")" == "$(sum "$x")" ]]			|| err_exit "file: /usr/bin/sum $x != sum $x"
 
--- old/usr/src/lib/libsmbfs/Makefile.com	2013-05-27 09:45:30.792607330 +0000
+++ new/usr/src/lib/libsmbfs/Makefile.com	2013-05-27 09:45:30.802191814 +0000
@@ -116,7 +116,7 @@
 
 # Filter out the less important lint.
 # See lgrep.awk
-LGREP =	nawk -f $(SRCDIR)/lgrep.awk
+LGREP =	/usr/xpg4/bin/awk -f $(SRCDIR)/lgrep.awk
 LTAIL	+=	2>&1 | $(LGREP)
 
 all:	$(LIBS)
--- old/usr/src/lib/libsmbfs/smb/lgrep.awk	2013-05-27 09:45:31.170412073 +0000
+++ new/usr/src/lib/libsmbfs/smb/lgrep.awk	2013-05-27 09:45:31.186782807 +0000
@@ -28,7 +28,7 @@
 
 # This is a "lint tail" that removes all the
 # uninteresting lines from our lint output.
-# It's nawk because sed doesn't do (a|b).
+# It's awk because sed doesn't do (a|b).
 # Also comments are easier here.
 
 # There's no lintlib for krb5 yet (CR 6911968)
